/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:  
 * Use, duplication or disclosure restricted by GSA ADP Schedule 
 * Contract with IBM Corp. 
 *******************************************************************************/
// declare the Dojo module
 dojo.provide("jazz.ui.RemoteChooserResponder");

// declare dependencies on other Dojo modules
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

(function() {

var _PROTOCOL_WINDOWNAME = '#oslc-windowName-1.0';
var _PROTOCOL_POSTMSG = '#oslc-postMessage-1.0';
var _MESSAGE_PORT = "oslc-response:";

/*
 * RemoteChooserResponder implements the OSLC crossdomain embedded frame protocol.
 * 
 * @since 0.7
 */
dojo.declare("jazz.ui.RemoteChooserResponder", [ ], {
	
	constructor: function(params) {
		this._protocol = window.location.hash;
		if (this._protocol != _PROTOCOL_POSTMSG
				&& this._protocol != _PROTOCOL_WINDOWNAME)
			throw new Error('Unsupported frame communication protocol: ' + this._protocol);
		if (this._protocol == _PROTOCOL_WINDOWNAME) {
			this._returnURL = window.name;
			//TODO verify the return URL
		}
	},
	
	sendResponse: function(/*string*/ response) {
		if (typeof response != 'string')
			throw new Error('The response must be of type String');
		if (this._protocol == _PROTOCOL_WINDOWNAME) {
			window.name = response;
			window.location = this._returnURL;
		} else {
			(window.parent || window).postMessage(_MESSAGE_PORT + response, "*");
		}
	}
});

})();
