/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("net.jazz.ajax.core.internal.style.CSSModuleMap");

dojo.require("dojox.collections.Dictionary");

(function(){
	net.jazz.ajax.core.internal.style.CSSModuleMap.map = new dojox.collections.Dictionary();
	net.jazz.ajax.core.internal.style.CSSModuleMap.indexMap = new dojox.collections.Dictionary();
	
	var moduleMapData = net.jazz.ajax._cssModuleMap;
	if (!moduleMapData) {
		throw new Error("CSS Module Map data not present");
	}
	for (var i = 0; i < moduleMapData.length; i++) {
		net.jazz.ajax.core.internal.style.CSSModuleMap.map.add(moduleMapData[i].u, moduleMapData[i]);
		net.jazz.ajax.core.internal.style.CSSModuleMap.indexMap.add(moduleMapData[i].i, moduleMapData[i]);
	}
	net.jazz.ajax._cssModuleMap = null;
})();

net.jazz.ajax.core.internal.style.CSSModuleMap.findCSSModule = function(uri) {
	return this.map.item(uri);
};

net.jazz.ajax.core.internal.style.CSSModuleMap.findCSSModuleByIndex = function(index) {
	return this.indexMap.item(index);
};

net.jazz.ajax.core.internal.style.CSSModuleMap.getAllCSSModules = function() {
	return this.map.getValueList();
};