/*******************************************************************************
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.repository.web.ui.internal.admin.server.LicenseConfigFloatingStep");
dojo.require("com.ibm.team.repository.web.ui.wizard.WizardConfigurationStep");

(function() {

var WizardConfigurationStep = com.ibm.team.repository.web.ui.wizard.WizardConfigurationStep;

dojo.declare("com.ibm.team.repository.web.ui.internal.admin.server.LicenseConfigFloatingStep", WizardConfigurationStep, {
	
	_initializePropertiesAfterLoaded: function () {
		this.STATUS.NO_URI = {
			test: false, revert: true, next: true, edit: true, code: "NONE",
			message: 'loading'
		};  
		this.uriProperty = this._config.getServerPropertyElement("licenseService.floatingLicenseServerURI");
		dojo.connect(this._config, "_markChanged", this, "setStateForEmptyURI");
		dojo.connect(this._config, "_checkUnchanged", this, function () {
				if(this._config._changed) {
					this.setStateForEmptyURI();
				} else {
					this._setState(this._initialLoadedState);
				}
			});
		dojo.connect(this._config, "_markInvalid", this, "_handleInvalidInput");
		this.setStateForEmptyURI();
		this._initialLoadedState = this.hasURI() ? this.STATUS.PENDING_OK : this.STATUS.NO_URI;
	}, 
	
	setStateForEmptyURI: function () {
		if (this.hasURI()) {
			this._setState(this.STATUS.PENDING_OK);
		} else {
			this._setState(this.STATUS.NO_URI);
		}
	},
	
	hasURI: function () {
		return this.uriProperty.hasOverride();
	}
			
});

})();