// NLS_CHARSET=UTF-8
/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	'stepTitle': "Communication interserveur", 
	'description': "Spécifiez d'autres serveurs reposant sur Jazz avec lesquels établir une communication de serveur à serveur. Entrez les informations d'emplacement d'un autre serveur Jazz Team Server et une phrase de code à utiliser comme valeur confidentielle OAuth. Ensuite, demandez l'accès à ce serveur pour créer une clé de consommateur OAuth et stocker les informations dans la liste d'amis. Une fois la clé OAuth autorisée par l'autre serveur, les deux serveurs pourront interagir. Remarque : lorsque vous connectez deux produits comme Rational Requirements Composer, n'oubliez pas d'utiliser l'URI des services racines du serveur frontal et non du serveur Jazz Foundation Server sous-jacent. Voir la section Description pour obtenir desexemples.",
	'step1Title': "Demande de communication de serveur à serveur",
	'step1Description': ".  Vous pouvez ensuite demander une clé de consommateur provisoire à partir de ce serveur et stocker ces informations dans la liste d'amis de votre serveur.",

	'step2Title': "Autorisation d'une clé provisoire",
	'step2Description': "Une fois que vous avez demandé une clé provisoire, cette section affiche la clé stockée.",
	
	'requestError': "Une erreur est survenue lors de la connexion à ${0}. Vérifiez la validité de l'adresse URL et que le serveur est démarré.",
	
	'keyNeedsAuthorization': "La clé provisoire que vous avez demandée doit être autorisée par un administrateur sur l'autre serveur : <strong>${0}<\/stong>",
	'authorizationLink': "Si vous êtes administrateur sur le serveur \"${0}\", vous pouvez ${1}accorder l'accès pour la clé provisoire${2}.",
	'keyAuthorized': "La clé provisoire est autorisée et stockée dans la liste d'amis. Le serveur peut désormais communiquer avec ${0}.", 
	
	'registerButtonText': "Demander l'accès", 
	'propertyLabel': "Propriété",
	'valueLabel': "Valeur",
	'descriptionLabel': "Description",
	
	'titleLabel': "Titre", 
	'titleDescrption': "Entrez un titre identifiant cette entrée dans la liste d'amis",
	'rootServicesLabel': "URI des services racine", 
	'rootServicesDescrption': "L'URI des services racines sur le serveur à ajouter comme ami ('https://rrc-server:9443/rdm/rootservices' ou 'https://rqm-server:9443/jazz/rootservices', par exemple)",
	'rootServicesExample': "Format : https://<hostname><:port-number>/<context>/rootservices ",
	'serverUriLabel': "URI de Jazz Team Server", 
	'serverUriDescrption': "Serveur à ajouter comme ami et avec lequel établir une communication de serveur à serveur (par exemple 'https://otherJazzServer:9443/jazz/rootservices')",
	'secretLabel': "Valeur confidentielle OAuth", 
	'secretDescrption': "Entrez une expression à associer à la nouvelle clé de consommateur OAuth à partir du serveur ami.",
	'secretLabel2': "Confirmation de la valeur confidentielle", 
	'secretDescrption2': "Entrez à nouveau votre expression afin d'éviter les erreurs de frappe.",
	'secretMismatch': "Les valeurs confidentielles ne concordent pas",
	'trustedLabel': "Sécurisé", 
	'trustedDescription': "Les consommateurs sécurisés peuvent partager leur autorisation avec d'autres consommateurs sécurisés et n'ont pas besoin d'approbation utilisateur pour accéder aux données. Il est recommandé que les sites Web et produits externes soient considérés comme non sécurisés.",

	'correctFields': "Corrigez les zones ci-dessous.",
	'completeFields': "Configurez la communication avec un autre serveur Jazz Team Server ou sélectionnez Suivant pour continuer.", 
		
	'postFriendError': "Une erreur s'est produite lors de la sauvegarde d'un ami sur ce serveur.",
	'fetchFriendsError': "Une erreur s'est produite lors de la demande de la liste des amis sur ce serveur.",
	'fetchRootServicesError': "Une erreur s'est produite lors de la demande du document des services racine au serveur \"${0}\".",
	'requestKeyError': "Une erreur s'est produite lors de la demande d'une clé de consommateur OAuth au serveur \"${0}\".", 
	'deleteFriendError': "Une erreur s'est produite lors de la suppression de l'entrée amie : ${0}",
	'friendsTableHeading': "Liste des amis du serveur", 
	'friendsTableDescription': "Liste de serveurs établie pour les communications entre serveurs.",
	'noFriends': "Il n'existe pas d'entrée dans la liste des amis du serveur.",
	'internalFriendsTableHeading': "Liste d'amis interne", 
	'internalFriendsTableDescription': "Liste d'applications serveur frontales qui stockent des données sur ce serveur Jazz Team Server et participent à la liaison de projet (par exemple, Rational Requirements Composer). Celle-ci est utilisée pour reconnaître les sources de lien de projet applicables en fonction des types de lien pris en charge par l'application. Les amis internes sont définis au moment de la configuration et ne doivent pas être supprimés.",
	'oAuthDomainLabel': "Domaine OAuth",
	'oAuthConsumerKeyLabel': "Clé de consommateur OAuth", 
	'removeFriendButton': "Supprimer un ami",
	'confirmDelete': "Voulez-vous vraiment supprimer cette entrée d'ami ?", 
	'requestingAccess': "Demande d'accès...",
	
	// edit friend wizard 
	'editFriendHeading': "Titre ami : ${0}",
	'editFriendDialogTitle': "Edition des propriétés amies",
	'confirmEditCancel': "Voulez-vous vraiment quitter cet éditeur ? Toutes les modifications seront perdues. Cliquez sur Annuler pour continuer à travailler ou sur OK pour quitter l'éditeur.",
	
	'internalLabel': "Interne", 
	'internalNo': "Publique"
})	







